using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class BombBehavior : MonoBehaviour
{
    public ScoreKeeper scoreKeeper;

    void OnCollisionEnter(Collision other)
    {
        if (other.collider.CompareTag("Player") || other.collider.CompareTag("BeetBox"))
        {
            scoreKeeper.GameOver();
        }
        
        Destroy(gameObject); // Destroy if colliding with anything
    }
}
