using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class MoveBackAndForth : MonoBehaviour
{
    public Transform targetA;
    public Transform targetB;
    public float speed = 1;
    private float progress = 0.5f;
    private float direction = 1;
    
    void Update()
    {
        progress += Time.deltaTime * speed * direction;
        float smoothProgress = Mathf.SmoothStep(0, 1, progress);
        transform.position = Vector3.Lerp(targetA.position, targetB.position, smoothProgress);
        if (progress > 1) direction = -1;
        else if (progress < 0) direction = 1;
    }
}
